## org.gnu.gdk
Class Geometry

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.Geometry

public class Geometry
extends GObject

Gives the window manager information about a window's geometry constraints.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Geometry()`

Method Summary
`int` `getBaseHeight()`
`protected static int` `getBaseHeight(Handle obj)`
`int` `getBaseWidth()`
`protected static int` `getBaseWidth(Handle obj)`
`protected static int` `getHeightInc(Handle obj)`
`int` `getHeightIncrement()`
`double` `getMaxAspect()`
`protected static double` `getMaxAspect(Handle obj)`
`int` `getMaxHeight()`
`protected static int` `getMaxHeight(Handle obj)`
`int` `getMaxWidth()`
`protected static int` `getMaxWidth(Handle obj)`
`double` `getMinAspect()`
`protected static double` `getMinAspect(Handle obj)`
`int` `getMinHeight()`
`protected static int` `getMinHeight(Handle obj)`
`int` `getMinWidth()`
`protected static int` `getMinWidth(Handle obj)`
`protected static int` `getWidthInc(Handle obj)`
`int` `getWidthIncrement()`
`Gravity` `getWindowGravity()`
`protected static int` `getWinGravity(Handle obj)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Geometry

    public Geometry()

Method Detail

### getMinWidth

    public int getMinWidth()

### getMaxWidth

    public int getMaxWidth()

### getMinHeight

    public int getMinHeight()

### getMaxHeight

    public int getMaxHeight()

### getBaseWidth

    public int getBaseWidth()

### getBaseHeight

    public int getBaseHeight()

### getWidthIncrement

    public int getWidthIncrement()

### getHeightIncrement

    public int getHeightIncrement()

### getMinAspect

    public double getMinAspect()

### getMaxAspect

    public double getMaxAspect()

### getWindowGravity

    public Gravity getWindowGravity()

### getMinWidth

    protected static final int getMinWidth(Handle obj)

### getMinHeight

    protected static final int getMinHeight(Handle obj)

### getMaxWidth

    protected static final int getMaxWidth(Handle obj)

### getMaxHeight

    protected static final int getMaxHeight(Handle obj)

### getBaseWidth

    protected static final int getBaseWidth(Handle obj)

### getBaseHeight

    protected static final int getBaseHeight(Handle obj)

### getWidthInc

    protected static final int getWidthInc(Handle obj)

### getHeightInc

    protected static final int getHeightInc(Handle obj)

### getMinAspect

    protected static final double getMinAspect(Handle obj)

### getMaxAspect

    protected static final double getMaxAspect(Handle obj)

### getWinGravity

    protected static final int getWinGravity(Handle obj)